<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.plugin.lets.dao.impl.BdBusitypeDaoImpl">

    <resultMap id="get-BdBusitypeEntity-result" type="com.hzya.frame.plugin.lets.entity.BdBusitypeEntity" >
       <result property="busicode" column="busicode" jdbcType="VARCHAR"/>
           <result property="businame" column="businame" jdbcType="VARCHAR"/>
           <result property="busiprop" column="busiprop" jdbcType="INTEGER"/>
           <result property="defaultgather" column="defaultgather" jdbcType="INTEGER"/>
           <result property="defstr2" column="defstr2" jdbcType="VARCHAR"/>
           <result property="defstr3" column="defstr3" jdbcType="VARCHAR"/>
           <result property="defstr4" column="defstr4" jdbcType="VARCHAR"/>
           <result property="defstr5" column="defstr5" jdbcType="VARCHAR"/>
           <result property="dr" column="dr" jdbcType="INTEGER"/>
           <result property="encapsulate" column="encapsulate" jdbcType="VARCHAR"/>
           <result property="fktype" column="fktype" jdbcType="VARCHAR"/>
           <result property="isdapclassified" column="isdapclassified" jdbcType="VARCHAR"/>
           <result property="isitem" column="isitem" jdbcType="VARCHAR"/>
           <result property="issrqr" column="issrqr" jdbcType="VARCHAR"/>
           <result property="mnecode" column="mnecode" jdbcType="VARCHAR"/>
           <result property="owetype" column="owetype" jdbcType="VARCHAR"/>
           <result property="pkBusitype" column="pk_busitype" jdbcType="VARCHAR"/>
           <result property="pkCorp" column="pk_corp" jdbcType="VARCHAR"/>
           <result property="receipttype" column="receipttype" jdbcType="VARCHAR"/>
           <result property="sktype" column="sktype" jdbcType="VARCHAR"/>
           <result property="ts" column="ts" jdbcType="VARCHAR"/>
           <result property="verifyrule" column="verifyrule" jdbcType="VARCHAR"/>
           <result property="ystype" column="ystype" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "BdBusitypeEntity_Base_Column_List">
        busicode
       ,businame 
        ,busiprop 
        ,defaultgather 
        ,defstr2 
        ,defstr3 
        ,defstr4 
        ,defstr5 
        ,dr 
        ,encapsulate 
        ,fktype 
        ,isdapclassified 
        ,isitem 
        ,issrqr 
        ,mnecode 
        ,owetype 
        ,pk_busitype 
        ,pk_corp 
        ,receipttype 
        ,sktype 
        ,ts 
        ,verifyrule 
        ,ystype 
     </sql>

 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-BdBusitypeEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity">
    select
    <include refid="BdBusitypeEntity_Base_Column_List" />
    from bd_busitype
    <trim prefix="where" prefixOverrides="and"> 
        <if test="busicode != null and busicode != ''"> and busicode = #{busicode} </if>
            <if test="businame != null and businame != ''"> and businame = #{businame} </if>
            <if test="busiprop != null"> and busiprop = #{busiprop} </if>
            <if test="defaultgather != null"> and defaultgather = #{defaultgather} </if>
            <if test="defstr2 != null and defstr2 != ''"> and defstr2 = #{defstr2} </if>
            <if test="defstr3 != null and defstr3 != ''"> and defstr3 = #{defstr3} </if>
            <if test="defstr4 != null and defstr4 != ''"> and defstr4 = #{defstr4} </if>
            <if test="defstr5 != null and defstr5 != ''"> and defstr5 = #{defstr5} </if>
            <if test="dr != null"> and dr = #{dr} </if>
            <if test="encapsulate != null and encapsulate != ''"> and encapsulate = #{encapsulate} </if>
            <if test="fktype != null and fktype != ''"> and fktype = #{fktype} </if>
            <if test="isdapclassified != null and isdapclassified != ''"> and isdapclassified = #{isdapclassified} </if>
            <if test="isitem != null and isitem != ''"> and isitem = #{isitem} </if>
            <if test="issrqr != null and issrqr != ''"> and issrqr = #{issrqr} </if>
            <if test="mnecode != null and mnecode != ''"> and mnecode = #{mnecode} </if>
            <if test="owetype != null and owetype != ''"> and owetype = #{owetype} </if>
            <if test="pkBusitype != null and pkBusitype != ''"> and pk_busitype = #{pkBusitype} </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>
            <if test="receipttype != null and receipttype != ''"> and receipttype = #{receipttype} </if>
            <if test="sktype != null and sktype != ''"> and sktype = #{sktype} </if>
            <if test="ts != null and ts != ''"> and ts = #{ts} </if>
            <if test="verifyrule != null and verifyrule != ''"> and verifyrule = #{verifyrule} </if>
            <if test="ystype != null and ystype != ''"> and ystype = #{ystype} </if>

--             and sts='Y'
    </trim>
<!--    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>-->
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity">
        select  count(1)   from bd_busitype
    <trim prefix="where" prefixOverrides="and"> 
        <if test="busicode != null and busicode != ''"> and busicode = #{busicode} </if>
            <if test="businame != null and businame != ''"> and businame = #{businame} </if>
            <if test="busiprop != null"> and busiprop = #{busiprop} </if>
            <if test="defaultgather != null"> and defaultgather = #{defaultgather} </if>
            <if test="defstr2 != null and defstr2 != ''"> and defstr2 = #{defstr2} </if>
            <if test="defstr3 != null and defstr3 != ''"> and defstr3 = #{defstr3} </if>
            <if test="defstr4 != null and defstr4 != ''"> and defstr4 = #{defstr4} </if>
            <if test="defstr5 != null and defstr5 != ''"> and defstr5 = #{defstr5} </if>
            <if test="dr != null"> and dr = #{dr} </if>
            <if test="encapsulate != null and encapsulate != ''"> and encapsulate = #{encapsulate} </if>
            <if test="fktype != null and fktype != ''"> and fktype = #{fktype} </if>
            <if test="isdapclassified != null and isdapclassified != ''"> and isdapclassified = #{isdapclassified} </if>
            <if test="isitem != null and isitem != ''"> and isitem = #{isitem} </if>
            <if test="issrqr != null and issrqr != ''"> and issrqr = #{issrqr} </if>
            <if test="mnecode != null and mnecode != ''"> and mnecode = #{mnecode} </if>
            <if test="owetype != null and owetype != ''"> and owetype = #{owetype} </if>
            <if test="pkBusitype != null and pkBusitype != ''"> and pk_busitype = #{pkBusitype} </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>
            <if test="receipttype != null and receipttype != ''"> and receipttype = #{receipttype} </if>
            <if test="sktype != null and sktype != ''"> and sktype = #{sktype} </if>
            <if test="ts != null and ts != ''"> and ts = #{ts} </if>
            <if test="verifyrule != null and verifyrule != ''"> and verifyrule = #{verifyrule} </if>
            <if test="ystype != null and ystype != ''"> and ystype = #{ystype} </if>
--             and sts='Y'
    </trim>
<!--    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>-->
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-BdBusitypeEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity">
    select
    <include refid="BdBusitypeEntity_Base_Column_List" />
    from bd_busitype
    <trim prefix="where" prefixOverrides="and"> 
        <if test="busicode != null and busicode != ''"> and busicode like concat('%',#{busicode},'%') </if>
            <if test="businame != null and businame != ''"> and businame like concat('%',#{businame},'%') </if>
            <if test="busiprop != null"> and busiprop like concat('%',#{busiprop},'%') </if>
            <if test="defaultgather != null"> and defaultgather like concat('%',#{defaultgather},'%') </if>
            <if test="defstr2 != null and defstr2 != ''"> and defstr2 like concat('%',#{defstr2},'%') </if>
            <if test="defstr3 != null and defstr3 != ''"> and defstr3 like concat('%',#{defstr3},'%') </if>
            <if test="defstr4 != null and defstr4 != ''"> and defstr4 like concat('%',#{defstr4},'%') </if>
            <if test="defstr5 != null and defstr5 != ''"> and defstr5 like concat('%',#{defstr5},'%') </if>
            <if test="dr != null"> and dr like concat('%',#{dr},'%') </if>
            <if test="encapsulate != null and encapsulate != ''"> and encapsulate like concat('%',#{encapsulate},'%') </if>
            <if test="fktype != null and fktype != ''"> and fktype like concat('%',#{fktype},'%') </if>
            <if test="isdapclassified != null and isdapclassified != ''"> and isdapclassified like concat('%',#{isdapclassified},'%') </if>
            <if test="isitem != null and isitem != ''"> and isitem like concat('%',#{isitem},'%') </if>
            <if test="issrqr != null and issrqr != ''"> and issrqr like concat('%',#{issrqr},'%') </if>
            <if test="mnecode != null and mnecode != ''"> and mnecode like concat('%',#{mnecode},'%') </if>
            <if test="owetype != null and owetype != ''"> and owetype like concat('%',#{owetype},'%') </if>
            <if test="pkBusitype != null and pkBusitype != ''"> and pk_busitype like concat('%',#{pkBusitype},'%') </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp like concat('%',#{pkCorp},'%') </if>
            <if test="receipttype != null and receipttype != ''"> and receipttype like concat('%',#{receipttype},'%') </if>
            <if test="sktype != null and sktype != ''"> and sktype like concat('%',#{sktype},'%') </if>
            <if test="ts != null and ts != ''"> and ts like concat('%',#{ts},'%') </if>
            <if test="verifyrule != null and verifyrule != ''"> and verifyrule like concat('%',#{verifyrule},'%') </if>
            <if test="ystype != null and ystype != ''"> and ystype like concat('%',#{ystype},'%') </if>
--             and sts='Y'
    </trim>
<!--    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>-->
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="BdBusitypeentity_list_or" resultMap="get-BdBusitypeEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity">
    select
    <include refid="BdBusitypeEntity_Base_Column_List" />
    from bd_busitype
    <trim prefix="where" prefixOverrides="and"> 
         <if test="busicode != null and busicode != ''"> or busicode = #{busicode} </if>
             <if test="businame != null and businame != ''"> or businame = #{businame} </if>
             <if test="busiprop != null"> or busiprop = #{busiprop} </if>
             <if test="defaultgather != null"> or defaultgather = #{defaultgather} </if>
             <if test="defstr2 != null and defstr2 != ''"> or defstr2 = #{defstr2} </if>
             <if test="defstr3 != null and defstr3 != ''"> or defstr3 = #{defstr3} </if>
             <if test="defstr4 != null and defstr4 != ''"> or defstr4 = #{defstr4} </if>
             <if test="defstr5 != null and defstr5 != ''"> or defstr5 = #{defstr5} </if>
             <if test="dr != null"> or dr = #{dr} </if>
             <if test="encapsulate != null and encapsulate != ''"> or encapsulate = #{encapsulate} </if>
             <if test="fktype != null and fktype != ''"> or fktype = #{fktype} </if>
             <if test="isdapclassified != null and isdapclassified != ''"> or isdapclassified = #{isdapclassified} </if>
             <if test="isitem != null and isitem != ''"> or isitem = #{isitem} </if>
             <if test="issrqr != null and issrqr != ''"> or issrqr = #{issrqr} </if>
             <if test="mnecode != null and mnecode != ''"> or mnecode = #{mnecode} </if>
             <if test="owetype != null and owetype != ''"> or owetype = #{owetype} </if>
             <if test="pkBusitype != null and pkBusitype != ''"> or pk_busitype = #{pkBusitype} </if>
             <if test="pkCorp != null and pkCorp != ''"> or pk_corp = #{pkCorp} </if>
             <if test="receipttype != null and receipttype != ''"> or receipttype = #{receipttype} </if>
             <if test="sktype != null and sktype != ''"> or sktype = #{sktype} </if>
             <if test="ts != null and ts != ''"> or ts = #{ts} </if>
             <if test="verifyrule != null and verifyrule != ''"> or verifyrule = #{verifyrule} </if>
             <if test="ystype != null and ystype != ''"> or ystype = #{ystype} </if>
--             and sts='Y'
    </trim>
<!--    <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>-->
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity" keyProperty="pkBusitype" useGeneratedKeys="true">
    insert into bd_busitype(
  <trim suffix="" suffixOverrides=",">
       <if test="busicode != null and busicode != ''"> busicode , </if>
            <if test="businame != null and businame != ''"> businame , </if>
            <if test="busiprop != null"> busiprop , </if>
            <if test="defaultgather != null"> defaultgather , </if>
            <if test="defstr2 != null and defstr2 != ''"> defstr2 , </if>
            <if test="defstr3 != null and defstr3 != ''"> defstr3 , </if>
            <if test="defstr4 != null and defstr4 != ''"> defstr4 , </if>
            <if test="defstr5 != null and defstr5 != ''"> defstr5 , </if>
            <if test="dr != null"> dr , </if>
            <if test="encapsulate != null and encapsulate != ''"> encapsulate , </if>
            <if test="fktype != null and fktype != ''"> fktype , </if>
            <if test="isdapclassified != null and isdapclassified != ''"> isdapclassified , </if>
            <if test="isitem != null and isitem != ''"> isitem , </if>
            <if test="issrqr != null and issrqr != ''"> issrqr , </if>
            <if test="mnecode != null and mnecode != ''"> mnecode , </if>
            <if test="owetype != null and owetype != ''"> owetype , </if>
            <if test="pkBusitype != null and pkBusitype != ''"> pk_busitype , </if>
            <if test="pkCorp != null and pkCorp != ''"> pk_corp , </if>
            <if test="receipttype != null and receipttype != ''"> receipttype , </if>
            <if test="sktype != null and sktype != ''"> sktype , </if>
            <if test="ts != null and ts != ''"> ts , </if>
            <if test="verifyrule != null and verifyrule != ''"> verifyrule , </if>
            <if test="ystype != null and ystype != ''"> ystype , </if>
            <if test="sorts == null ">sorts,</if>
    <if test="sts == null ">sts,</if>
  </trim>
  )values(
 <trim suffix="" suffixOverrides=",">
       <if test="busicode != null and busicode != ''"> #{busicode} ,</if>
            <if test="businame != null and businame != ''"> #{businame} ,</if>
            <if test="busiprop != null"> #{busiprop} ,</if>
            <if test="defaultgather != null"> #{defaultgather} ,</if>
            <if test="defstr2 != null and defstr2 != ''"> #{defstr2} ,</if>
            <if test="defstr3 != null and defstr3 != ''"> #{defstr3} ,</if>
            <if test="defstr4 != null and defstr4 != ''"> #{defstr4} ,</if>
            <if test="defstr5 != null and defstr5 != ''"> #{defstr5} ,</if>
            <if test="dr != null"> #{dr} ,</if>
            <if test="encapsulate != null and encapsulate != ''"> #{encapsulate} ,</if>
            <if test="fktype != null and fktype != ''"> #{fktype} ,</if>
            <if test="isdapclassified != null and isdapclassified != ''"> #{isdapclassified} ,</if>
            <if test="isitem != null and isitem != ''"> #{isitem} ,</if>
            <if test="issrqr != null and issrqr != ''"> #{issrqr} ,</if>
            <if test="mnecode != null and mnecode != ''"> #{mnecode} ,</if>
            <if test="owetype != null and owetype != ''"> #{owetype} ,</if>
            <if test="pkBusitype != null and pkBusitype != ''"> #{pkBusitype} ,</if>
            <if test="pkCorp != null and pkCorp != ''"> #{pkCorp} ,</if>
            <if test="receipttype != null and receipttype != ''"> #{receipttype} ,</if>
            <if test="sktype != null and sktype != ''"> #{sktype} ,</if>
            <if test="ts != null and ts != ''"> #{ts} ,</if>
            <if test="verifyrule != null and verifyrule != ''"> #{verifyrule} ,</if>
            <if test="ystype != null and ystype != ''"> #{ystype} ,</if>
            <if test="sorts == null ">(select (max(IFNULL( a.sorts, 0 )) + 1) as sort from bd_busitype a WHERE a.sts = 'Y' ),</if>
    <if test="sts == null ">'Y',</if>
  </trim>
  )  
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="pkBusitype" useGeneratedKeys="true">
  insert into bd_busitype(busicode, businame, busiprop, defaultgather, defstr2, defstr3, defstr4, defstr5, dr, encapsulate, fktype, isdapclassified, isitem, issrqr, mnecode, owetype, pk_corp, receipttype, sktype, ts, verifyrule, ystype,  sts) 
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.busicode},#{entity.businame},#{entity.busiprop},#{entity.defaultgather},#{entity.defstr2},#{entity.defstr3},#{entity.defstr4},#{entity.defstr5},#{entity.dr},#{entity.encapsulate},#{entity.fktype},#{entity.isdapclassified},#{entity.isitem},#{entity.issrqr},#{entity.mnecode},#{entity.owetype},#{entity.pkCorp},#{entity.receipttype},#{entity.sktype},#{entity.ts},#{entity.verifyrule},#{entity.ystype}, 'Y')
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="pkBusitype" useGeneratedKeys="true">
    insert into bd_busitype(busicode, businame, busiprop, defaultgather, defstr2, defstr3, defstr4, defstr5, dr, encapsulate, fktype, isdapclassified, isitem, issrqr, mnecode, owetype, pk_corp, receipttype, sktype, ts, verifyrule, ystype)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.busicode},#{entity.businame},#{entity.busiprop},#{entity.defaultgather},#{entity.defstr2},#{entity.defstr3},#{entity.defstr4},#{entity.defstr5},#{entity.dr},#{entity.encapsulate},#{entity.fktype},#{entity.isdapclassified},#{entity.isitem},#{entity.issrqr},#{entity.mnecode},#{entity.owetype},#{entity.pkCorp},#{entity.receipttype},#{entity.sktype},#{entity.ts},#{entity.verifyrule},#{entity.ystype})
    </foreach>
    on duplicate key update
    busicode = values(busicode),
    businame = values(businame),
    busiprop = values(busiprop),
    defaultgather = values(defaultgather),
    defstr2 = values(defstr2),
    defstr3 = values(defstr3),
    defstr4 = values(defstr4),
    defstr5 = values(defstr5),
    dr = values(dr),
    encapsulate = values(encapsulate),
    fktype = values(fktype),
    isdapclassified = values(isdapclassified),
    isitem = values(isitem),
    issrqr = values(issrqr),
    mnecode = values(mnecode),
    owetype = values(owetype),
    pk_corp = values(pk_corp),
    receipttype = values(receipttype),
    sktype = values(sktype),
    ts = values(ts),
    verifyrule = values(verifyrule),
    ystype = values(ystype)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity" >
update bd_busitype  set
<trim suffix="" suffixOverrides=",">
  <if test="busicode != null and busicode != ''"> busicode = #{busicode},</if>
  <if test="businame != null and businame != ''"> businame = #{businame},</if>
  <if test="busiprop != null"> busiprop = #{busiprop},</if>
  <if test="defaultgather != null"> defaultgather = #{defaultgather},</if>
  <if test="defstr2 != null and defstr2 != ''"> defstr2 = #{defstr2},</if>
  <if test="defstr3 != null and defstr3 != ''"> defstr3 = #{defstr3},</if>
  <if test="defstr4 != null and defstr4 != ''"> defstr4 = #{defstr4},</if>
  <if test="defstr5 != null and defstr5 != ''"> defstr5 = #{defstr5},</if>
  <if test="dr != null"> dr = #{dr},</if>
  <if test="encapsulate != null and encapsulate != ''"> encapsulate = #{encapsulate},</if>
  <if test="fktype != null and fktype != ''"> fktype = #{fktype},</if>
  <if test="isdapclassified != null and isdapclassified != ''"> isdapclassified = #{isdapclassified},</if>
  <if test="isitem != null and isitem != ''"> isitem = #{isitem},</if>
  <if test="issrqr != null and issrqr != ''"> issrqr = #{issrqr},</if>
  <if test="mnecode != null and mnecode != ''"> mnecode = #{mnecode},</if>
  <if test="owetype != null and owetype != ''"> owetype = #{owetype},</if>
  <if test="pkCorp != null and pkCorp != ''"> pk_corp = #{pkCorp},</if>
  <if test="receipttype != null and receipttype != ''"> receipttype = #{receipttype},</if>
  <if test="sktype != null and sktype != ''"> sktype = #{sktype},</if>
  <if test="ts != null and ts != ''"> ts = #{ts},</if>
  <if test="verifyrule != null and verifyrule != ''"> verifyrule = #{verifyrule},</if>
  <if test="ystype != null and ystype != ''"> ystype = #{ystype},</if>
</trim>
where pk_busitype = #{pkBusitype}
</update>
<!-- 逻辑删除 -->
<update id="entity_logicDelete" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity" >
update bd_busitype  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where pk_busitype = #{pkBusitype}
</update>
<!-- 多条件逻辑删除 -->
<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.plugin.lets.entity.BdBusitypeEntity" >
update bd_busitype  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="busicode != null and busicode != ''"> and busicode = #{busicode} </if>
            <if test="businame != null and businame != ''"> and businame = #{businame} </if>
            <if test="busiprop != null"> and busiprop = #{busiprop} </if>
            <if test="defaultgather != null"> and defaultgather = #{defaultgather} </if>
            <if test="defstr2 != null and defstr2 != ''"> and defstr2 = #{defstr2} </if>
            <if test="defstr3 != null and defstr3 != ''"> and defstr3 = #{defstr3} </if>
            <if test="defstr4 != null and defstr4 != ''"> and defstr4 = #{defstr4} </if>
            <if test="defstr5 != null and defstr5 != ''"> and defstr5 = #{defstr5} </if>
            <if test="dr != null"> and dr = #{dr} </if>
            <if test="encapsulate != null and encapsulate != ''"> and encapsulate = #{encapsulate} </if>
            <if test="fktype != null and fktype != ''"> and fktype = #{fktype} </if>
            <if test="isdapclassified != null and isdapclassified != ''"> and isdapclassified = #{isdapclassified} </if>
            <if test="isitem != null and isitem != ''"> and isitem = #{isitem} </if>
            <if test="issrqr != null and issrqr != ''"> and issrqr = #{issrqr} </if>
            <if test="mnecode != null and mnecode != ''"> and mnecode = #{mnecode} </if>
            <if test="owetype != null and owetype != ''"> and owetype = #{owetype} </if>
            <if test="pkBusitype != null and pkBusitype != ''"> and pk_busitype = #{pkBusitype} </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>
            <if test="receipttype != null and receipttype != ''"> and receipttype = #{receipttype} </if>
            <if test="sktype != null and sktype != ''"> and sktype = #{sktype} </if>
            <if test="ts != null and ts != ''"> and ts = #{ts} </if>
            <if test="verifyrule != null and verifyrule != ''"> and verifyrule = #{verifyrule} </if>
            <if test="ystype != null and ystype != ''"> and ystype = #{ystype} </if>
            and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from bd_busitype where pk_busitype = #{pkBusitype}
</delete>

</mapper>

